Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

DCPS support of new printers

 
SOLVED
Go to solution
Korendyk
Advisor

DCPS support of new printers

I've been attempting to add a new printer to an OpenVMS environment (VMS/Alpha V8.3, DCPS V2.5). The printer is an HP 4015n which is of course not (yet?) listed as a supported model in the DCPS SPD.

Attempts to print to the new printer do work: DCPS recognizes it as an "hpgeneric" and prints correctly but does not correctly select input trays as it does with older HP printers.

I know to "extend" the initpsdevice and setinputtray modules in the devctl libraries for a specific DCPS queue, but it is hit-and-miss as to which older (supported) printer modules to use for the new printer. I was hoping someone here might have already gone through the effort or can suggest which of the older printer modules might offer the correct tray handling (selection) on the HP 4015?

And while I'm at it... I believe it was discussed before, but perhaps someone could explain again why there is such a delay between DCPS releases? I can't even find occasional patch kits aimed at simply supporting (ie. providing new devctl modules for) newer HP printers.

thnx
\bill
5 REPLIES 5
John Gillings
Honored Contributor

Re: DCPS support of new printers

\bill,

In an ideal world DCPS would support every printer, and there would be no accountants. The trouble is bean counters point out that for OpenVMS the substantial cost of implementing support for each one of the zillions of printers that are released each month is infinitely more than the income resulting from the effort (ie: zero).

In the past, the best way to get timely support for a particular printer was to send a sample printer packed with a case of beer to HP engineering in Colorado.

A crucible of informative mistakes
EdgarZamora
Trusted Contributor

Re: DCPS support of new printers

Well first of all your version of DCPS is not the latest (you indicated version 2.5). I installed 2.6 over a year ago:

HP AXPVMS DCPS V2.6 Full LP Install 08-APR-2007

You might want to try and update your DCPS to the latest version and see if that version recognizes your printer correctly.
Hakan Zanderau ( Anders
Trusted Contributor

Re: DCPS support of new printers

I have sent a pointer to this thread to DCPS-engineering.

regards,

Hakan
Don't make it worse by guessing.........
Paul Anderson_7
Frequent Advisor
Solution

Re: DCPS support of new printers

The HP LaserJet P4015n will be supported in DCPS V2.7, which will ship to customers in Q1 2009. Field test will start later this week.

Since DCPS V2.6 was released, there has been an ECO to fix some problems and support some new printers. Due to circumstances beyond the control of OpenVMS Engineering, DCPS V2.7 has been delayed from its original release date. If you would like to participate in the V2.7 field test, please send me mail at paul.anderson@hp.com.

Paul

Paul Anderson
OpenVMS Engineering
Hewlett-Packard Company
Korendyk
Advisor

Re: DCPS support of new printers

Thank you Paul for your help off-list identifying alternate printer models that have similar features to the HP 4015, namely the HP M5025 and the HP 4700. Using these (with minor modifications) I was able to establish HPGENERIC modules for the target queue to address my problem.

This should be sufficient until DCPS V2.7 is available with the real HP 4015 support. ;-)

thnx
\bill